Page MenuHomePhabricator

Release 5.3.2 (1030)
Closed, ResolvedPublic

Description

Release version: 5.3.2
Release tag: releases/5.3.2
Release SHA1: 69bde41a5fb7011d062d337636654c3a27821566
App Store Submission Date: 12/15
App Store Approval Date: 12/18
App Store Release Date: 12/19
Regression Testing URL:


  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC to External testers
  • Distribute RC to TSG
  • Post to mobile-l when Beta is approved for external testing
  • Update "What’s New" on iTunes Connect
  • Review App Store description, and determine if we need to update
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received in HockeyApp
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Point current status at this card
  • Update version number in feedback email link
  • Update HockeyApp console to mark build as released once released
  • Post on mobile-l

Event Timeline

JMinor created this task.Dec 13 2016, 9:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 13 2016, 9:15 PM

Draft "Whats new":

Even easier to read, with full support for Dynamic Type to set the size of articles and app text*
Updated database for improved speed and stability in main tabs.
Various small bug and crash fixes.

*(for iPad this requires iOS 10.2)

JMinor triaged this task as High priority.Dec 13 2016, 9:20 PM
JMinor renamed this task from Release 5.3.2 (1028) to Release 5.3.2 (1030).Dec 13 2016, 11:37 PM
JMinor renamed this task from Release 5.3.2 (1030) to Release 5.3.2 (1031).Dec 14 2016, 6:29 PM
JMinor renamed this task from Release 5.3.2 (1031) to Release 5.3.2 (103).Dec 19 2016, 11:53 PM
JMinor renamed this task from Release 5.3.2 (103) to Release 5.3.2 (1030).
JMinor moved this task from Blocked or Waiting to Doing on the iOS-app-v5.3.2-Lighthouse board.
JMinor updated the task description. (Show Details)
JMinor closed this task as Resolved.Dec 22 2016, 7:34 PM
JMinor updated the task description. (Show Details)